## ros-melodic-pr2-moveit-config 0.7.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pr2_moveit_config)

find_package(catkin REQUIRED)

catkin_package()

install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY config DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-melodic-pr2-moveit-config (0.7.3-1stretch) stretch; urgency=high



 -- MoveIt Setup Assistant <assistant@moveit.ros.org>  Sat, 05 Oct 2019 22:00:00 -0000

ros-melodic-pr2-moveit-config (0.7.2-1stretch) stretch; urgency=high



 -- MoveIt Setup Assistant <assistant@moveit.ros.org>  Mon, 30 Sep 2019 22:00:00 -0000

ros-melodic-pr2-moveit-config (0.7.1-1stretch) stretch; urgency=high



 -- MoveIt Setup Assistant <assistant@moveit.ros.org>  Sat, 30 Mar 2019 23:00:00 -0000

ros-melodic-pr2-moveit-config (0.7.0-1stretch) stretch; urgency=high

  * Migrate to format2
  * Fix xacro warnings
  * [moveit.rviz] Fix always showing init pose. (#89 <https://github.com/ros-planning/moveit_pr2/issues/89>)
    Init pose would always be shown in addition to the current {start, goal} poses. This is useless and confusing.
    Although only thing I did was to remove RobotState panel, and save as to overwrite the same .rviz file, there are some changes that seem unrelated. I do not know what happened but if some of those changes should be reverted let me know.
  * allow to open pr2_moveit_config in setup_assistant
    The temp-file does not exist and the moveit_config
    already run_depends on pr2_description anyway.
  * add arms_and_torso group
  * Contributors: Bence Magyar, Christian Dornhege, Isaac I.Y. Saito, tarukosu, v4hn

 -- MoveIt Setup Assistant <assistant@moveit.ros.org>  Thu, 26 Apr 2018 22:00:00 -0000

ros-melodic-pr2-moveit-config (0.6.4-1stretch) stretch; urgency=high

  * [fix] Fix always showing init pose. (#89 <https://github.com/ros-planning/moveit_pr2/issues/89>)
  * [capability] add arms_and_torso group
  * [enhance] allow to open pr2_moveit_config in setup_assistant
  * Contributors: Isaac I.Y. Saito, tarukosu, v4hn

 -- MoveIt Setup Assistant <assistant@moveit.ros.org>  Mon, 19 Jun 2017 22:00:00 -0000

ros-melodic-pr2-moveit-config (0.6.3-1stretch) stretch; urgency=high

  * [feat] pr2_moveit_config: add additional capabilities
  * [feat] rviz config: default to left_arm group
    Otherwise the object inserted into the planning scene
    in planning_scene_ros_api_tutorial is covered by
    the interactive marker of the right_arm group.
  * [feat] made jiggle_fraction parameter usable from outside
  * [feat] add arms_and_torso group
  * Contributors: Tobias Fromm, tarukosu, v4hn

 -- MoveIt Setup Assistant <assistant@moveit.ros.org>  Thu, 23 Jun 2016 22:00:00 -0000

ros-melodic-pr2-moveit-config (0.6.2-1stretch) stretch; urgency=high



 -- MoveIt Setup Assistant <assistant@moveit.ros.org>  Thu, 04 Feb 2016 23:00:00 -0000

ros-melodic-pr2-moveit-config (0.6.1-1stretch) stretch; urgency=high



 -- MoveIt Setup Assistant <assistant@moveit.ros.org>  Thu, 15 Jan 2015 23:00:00 -0000

ros-melodic-pr2-moveit-config (0.6.0-1stretch) stretch; urgency=high

  * deleted duplicate debug xml tag in launchfile
  * Contributors: arjungm

 -- MoveIt Setup Assistant <assistant@moveit.ros.org>  Tue, 13 Jan 2015 23:00:00 -0000

ros-melodic-pr2-moveit-config (0.5.7-1stretch) stretch; urgency=high



 -- MoveIt Setup Assistant <assistant@moveit.ros.org>  Sat, 22 Mar 2014 23:00:00 -0000

ros-melodic-pr2-moveit-config (0.5.6-1stretch) stretch; urgency=high



 -- MoveIt Setup Assistant <assistant@moveit.ros.org>  Wed, 26 Feb 2014 23:00:00 -0000

ros-melodic-pr2-moveit-config (0.5.5-1stretch) stretch; urgency=high

  * adding move group interface tutorial and sphinx docs

 -- MoveIt Setup Assistant <assistant@moveit.ros.org>  Thu, 02 Jan 2014 23:00:00 -0000

ros-melodic-pr2-moveit-config (0.5.4-1stretch) stretch; urgency=high

  * fixing broken tests for changes in robot_state
  * fix #26 <https://github.com/ros-planning/moveit_pr2/issues/26>.

 -- MoveIt Setup Assistant <assistant@moveit.ros.org>  Mon, 02 Dec 2013 23:00:00 -0000

ros-melodic-pr2-moveit-config (0.5.3-1stretch) stretch; urgency=high

  * enable more information output in demo mode
  * keeping in sync with the setup assistant generated pkg
  * add source param for joint_state_publisher
  * use fake controllers for demo.launch
  * use .xml suffix for included launch files

 -- MoveIt Setup Assistant <assistant@moveit.ros.org>  Sun, 22 Sep 2013 22:00:00 -0000

ros-melodic-pr2-moveit-config (0.5.2-1stretch) stretch; urgency=high

  * changing default object recognition behavior to listen on topic
  * add debug flag to demo.launch
  * add condition for starting mongodb as done in template
  * update deps
  * modified tabletop object recognition file to not trigger automatically
  * lowering octomap resolution
  * added ork config file
  * new object recognition launch file

 -- MoveIt Setup Assistant <assistant@moveit.ros.org>  Mon, 12 Aug 2013 22:00:00 -0000

ros-melodic-pr2-moveit-config (0.5.1-1stretch) stretch; urgency=high

  * remove hacks for groovy

 -- MoveIt Setup Assistant <assistant@moveit.ros.org>  Sun, 14 Jul 2013 22:00:00 -0000

ros-melodic-pr2-moveit-config (0.5.0-1stretch) stretch; urgency=high



 -- MoveIt Setup Assistant <assistant@moveit.ros.org>  Sun, 14 Jul 2013 22:00:00 -0000

ros-melodic-pr2-moveit-config (0.4.3-1stretch) stretch; urgency=high

  * remove hardcoded path
  * Tweaking pr2 settings
  * Created launch file for Benchmark GUI

 -- MoveIt Setup Assistant <assistant@moveit.ros.org>  Thu, 11 Jul 2013 22:00:00 -0000

=== debian/control ===
Source: ros-melodic-pr2-moveit-config
Section: misc
Priority: extra
Maintainer: MoveIt Setup Assistant <assistant@moveit.ros.org>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
Homepage: http://moveit.ros.org/
Standards-Version: 3.9.2

Package: ros-melodic-pr2-moveit-config
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-joint-state-publisher, ros-melodic-moveit-ros-move-group, ros-melodic-pr2-description, ros-melodic-robot-state-publisher
Description: An automatically generated package with all the configuration and launch files for using the pr2 with the MoveIt Motion Planning Framework

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-pr2-moveit-config//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
